import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
@Component({
  selector: 'app-tab3',
  templateUrl: 'tab3.page.html',
  styleUrls: ['tab3.page.scss']
})
export class Tab3Page implements OnInit {
  // 模拟个人资料数据
  userProfile: any = {
    avatarUrl: 'path-to-avatar.jpg',
    userName: '用户名',
    followCount: '关注数',
    followerCount: '粉丝数',
    likeCount: '赞赏数量'
  };

  // 模拟内容推荐数据
  recommendations: any[] = [
    { title: '品牌馆', imageUrl: 'path-to-brand-gallery.jpg', price: '价格信息' },
    { title: '精选好书', imageUrl: 'path-to-selected-books.jpg', price: '价格信息' }
    // 更多推荐
  ];

  // 模拟功能快捷入口数据
  quickAccess: any[] = [
    { label: '我的下载' },
    { label: '游戏中心' },
    { label: '创作中心' }
    // 更多功能
  ];

  // 模拟互动元素数据
  interactions: any[] = [
    { label: '阅读偏好' },
    { label: '笔记书摘' },
    { label: '看过的的人' }
    // 更多互动
  ];

  constructor(private router: Router) {}

  ngOnInit() {}
goUrl(){
    console.log('6666')
    this.router.navigate(['/user/mine'])
}
}